'****************************************************************************************'
'* Fichier:    Naissance.vbs								*'
'* 											*'
'* Auteur:     (c) M.Descoteaux								*'
'* 											*'
'* Dmontre l'utilisation de plusieurs fonctions VBScript relies au traitement des	*'
'* dates en calculant le temps espacant la date actuelle de la date de naissance 	*'
'* prcise par l'utilisateur.								*'
'****************************************************************************************'
Option Explicit

Dim dNaissance, dDiff, nJours, strDate



'****************************************************************************************'
'* S'assure d'abord de rcuprer une date valide.					*'
'****************************************************************************************'
Do
    dNaissance = InputBox("Entrez votre date de naissance." & vbCrLf & vbCrLf & "Spcifiez la date dans le format yyyy-mm-dd", "Calcul de l'ge")
Loop Until IsDate(dNaissance)




'****************************************************************************************'
'* Calcule le nombre de mois sparant la date de naissance d'aujourd'hui		*'
'****************************************************************************************'
dDiff = DateDiff("m", dNaissance, Date())


'****************************************************************************************'
'* Calcule le nombre de jours restants 							*'
'****************************************************************************************'
nJours = DateDiff("d", DateAdd("m", dDiff, dNaissance), Date())


'****************************************************************************************'
'* Affiche le rsultat  l'utilisateur							*'
'****************************************************************************************'
strDate = WeekdayName(Weekday(dNaissance)) & " le " & Day(dNaissance) & " " & MonthName(Month(dNaissance)) & " " & Year(dNaissance)

MsgBox "Si vous tes n(e) " & strDate & " vous avez " & dDiff \ 12 & " ans, " & dDiff Mod 12 & " mois et " & nJours & " jours.", vbInformation, "Calcul de l'ge"


