'****************************************************************************************'
'* Fichier:    FichierInfos.vbs							        *'
'* 											*'
'* Auteur:     (c) M.Descoteaux								*'
'* 											*'
'* Exemple de l'criture et de la lecture d'informations dans un fichier texte.		*'
'****************************************************************************************'
Option Explicit

Dim FSO, Txt, Fichier, stNom, stPrenom

Set FSO = CreateObject("Scripting.FileSystemObject")


'************************************* Chemin du fichier *******************************'
Fichier = WScript.ScriptFullName
Fichier = Left(Fichier, InStrRev(Fichier, "\")) & "\infos.ini"


'*******************  Lecture des informations si le fichier existe  *******************'
If FSO.FileExists(Fichier) Then
   Set Txt = FSO.OpenTextFile(Fichier, 1)
   stNom = Txt.ReadLine()
   stPrenom = Txt.ReadLine()
   Txt.Close   

   MsgBox "Bonjour " & stPrenom & " " & stNom

   If MsgBox("Dsirez-vous spcifier de nouvelles informations?", vbQuestion OR vbYesNo) = vbNo Then
      WScript.Quit 
   End If
End If

stNom = ""
stPrenom = ""



'**********************  Rcupre les informations de l'utilisateur  ********************'
Do While stNom = ""
  stNom = InputBox("Entrez votre nom:")
  If stNom = "" Then
    If MsgBox("Quitter le script?", vbQuestion OR vbyesNo) = vbYes Then WScript.Quit
  End If
Loop

Do While stPrenom = ""
  stPrenom = InputBox("Entrez votre prnom:")
  If stPrenom = "" Then
    If MsgBox("Quitter le script?", vbQuestion OR vbyesNo) = vbYes Then WScript.Quit
  End If
Loop


'************************ Inscrit les informations dans un fichier **********************'
Set Txt = FSO.OpenTextFile(Fichier, 2, True)
Txt.WriteLine stNom
Txt.WriteLine stPrenom
Txt.Close


'*********************************  Destruction des objets  *****************************'
Set Txt = Nothing
Set FSO = Nothing