'****************************************************************************************'
'* Fichier:    Liste Lecteurs.vbs							*'
'* 											*'
'* Auteur:     (c) M.Descoteaux								*'
'* 											*'
'*             Dresse la liste des lecteurs physiques et/ou rseau du systme.          *'
'****************************************************************************************'

   Dim Fso, Drv, Dc, n, Capacite, Disponible

   Set Fso = CreateObject("Scripting.FileSystemObject")


   For Each Drv in Fso.Drives

      If Drv.DriveType = 3 Then
         n = Drv.ShareName
      Else
         If Drv.IsReady Then

	    '************ Nom de volume ********************'
            n = Drv.VolumeName

            '*****  Espace disponible et capacit  *********'
            Capacite = vbCrLf & "Capacit: " & Drv.TotalSize / 1024 / 1024 & " Mo"
            Disponible = vbCrLf & "Disponible: " & Drv.AvailableSpace / 1024 / 1024 & " Mo"

         Else

            '********  Lecteur non-disponible  *************'
            n = "< Non prt >"
            Capacite = ""
            Disponible = ""

         End If
      End If



      MsgBox Drv.DriveLetter & " - " & n & Capacite & Disponible
   Next
