'************************************************************************************************'
'* Network.vbs											*'
'* 												*'
'* Exemple de l'utilisation de l'objet WshNetwork						*'
'************************************************************************************************'
Option Explicit

Dim Texte, NT
Dim Drv, Prn, K

Set NT = WScript.CreateObject("WScript.Network")
Set Drv = NT.EnumNetworkDrives()
Set Prn = NT.EnumPrinterConnections()


'****************************** Informations gnrales ******************************************'
Texte = "Bonjour " & NT.UserName & ", " & vbCrLf & vbCrLf
Texte = Texte & "vous tes connect sur l'ordinateur " & NT.ComputerName
Texte = Texte & " appartenant au domaine " & NT.UserDomain & "."  & vbCrLf & vbCrLf


'*************************** Liste des lecteurs rseau ******************************************'
Texte = Texte & "Ce poste possde les lecteurs rseaux suivants:" & vbCrLf
If Drv.Count = 0 Then
    Texte = Texte & "   * Aucun lecteur rseau dtect." & vbCrLf
Else
    For K = 0 to Drv.Count - 1 Step 2  
        Texte = Texte & "   * " & Drv(K) & " = " & Drv(K+1) & vbCrLf
    Next
End If


'******************************* Liste des imprimantes ******************************************'
Texte = Texte & vbCrLf & "Ce poste possde les imprimantes suivantes:" & vbCrLf
If Prn.Count = 0 Then
    Texte = Texte & "   * Aucune imprimante dtecte." & vbCrLf
Else
    For K = 0 to Prn.Count - 1 Step 2  
        Texte = Texte & "   * " & Prn(K) & " = " & Prn(K+1) & vbCrLf
    Next
End If


'********************************* Affiche le message *******************************************'
MsgBox Texte, vbInformation, "Bonjour"

